Create a credential set in the org (org admin).
Create a credential set in the org (org admin). - Rensei REST API operation reference.
POST
header
AuthorizationBearer <rsk_live_*>Rensei API key presented as Authorization: Bearer rsk_live_. Required API-key scopes are recorded per operation in x-rensei-required-scopes.
orgId*stringOrganization id (must match the authenticated org).
application/json- body
name*stringLength
1 <= lengthdescription?string|nullprojectId?|Length
1 <= lengthvisibleToProjectIds?array<>|nullmakeDefault?booleanCredential set created.
application/json- response
ok*booleanset*curl -X POST 'https://app.rensei.ai/api/org/string/credential-sets' \ -H 'Content-Type: application/json' \ -d '{ "name": "string"}'Example Response
{ "ok": true, "set": { "id": "string", "orgId": "string", "projectId": "string", "visibleToProjectIds": [ "string" ], "name": "string", "description": "string", "createdBy": "string", "createdAt": "string", "updatedAt": "string", "deletedAt": "string", "property1": null, "property2": null }}